- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# i386_frame Struct Reference

`#include <tss.h>`

## Data Fields
uInt32 | cs
uInt32 | ds
uInt32 | eax
uInt32 | ebp
uInt32 | ebx
uInt32 | ecx
uInt32 | edi
uInt32 | edx
uInt32 | eip
uInt32 | es
uInt32 | esi
uInt32 | esp
uInt32 | flags
uInt32 | fs
uInt32 | gs
uInt32 | ss
uInt32 | user_esp
uInt32 | user_ss

## Detailed Description

Definition at line 85 of file tss.h.

## Field Documentation

uInt32 i386_frame::cs

Definition at line 104 of file tss.h.

uInt32 i386_frame::ds

Definition at line 89 of file tss.h.

uInt32 i386_frame::eax

Definition at line 98 of file tss.h.

uInt32 i386_frame::ebp

Definition at line 93 of file tss.h.

Referenced by sysExec().

uInt32 i386_frame::ebx

Definition at line 95 of file tss.h.

uInt32 i386_frame::ecx

Definition at line 97 of file tss.h.

uInt32 i386_frame::edi

Definition at line 91 of file tss.h.

uInt32 i386_frame::edx

Definition at line 96 of file tss.h.

uInt32 i386_frame::eip

Definition at line 103 of file tss.h.

Referenced by sys_exec(), and sysExec().

uInt32 i386_frame::es

Definition at line 88 of file tss.h.

uInt32 i386_frame::esi

Definition at line 92 of file tss.h.

uInt32 i386_frame::esp

Definition at line 94 of file tss.h.

uInt32 i386_frame::flags

Definition at line 105 of file tss.h.

uInt32 i386_frame::fs

Definition at line 87 of file tss.h.

uInt32 i386_frame::gs

Definition at line 86 of file tss.h.

uInt32 i386_frame::ss

Definition at line 90 of file tss.h.

uInt32 i386_frame::user_esp

Definition at line 106 of file tss.h.

Referenced by sysExec().

uInt32 i386_frame::user_ss

Definition at line 107 of file tss.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/tss.h